## ros-noetic-arbotix-python 0.11.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(arbotix_python)

find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

install(DIRECTORY demos
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS bin/arbotix_driver
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-arbotix-python (0.11.0-1focal) focal; urgency=high

  * Update all python shebangs to python3 + rosdep dependency (#48 <https://github.com/vanadiumlabs/arbotix_ros/issues/48>)
    Co-authored-by: Murat Calis <mailto:mc@pirate-robotics.net>
  * arbotix_python for ROS Noetic (#46 <https://github.com/vanadiumlabs/arbotix_ros/issues/46>)
    Migrated arbotix_python to work with ROS Noetic
    Co-authored-by: Murat Calis <mailto:mc@pirate-robotics.net>
  * Merge pull request #31 <https://github.com/vanadiumlabs/arbotix_ros/issues/31> from corot/serial_reconnect
    Allow runtime connection/disconnection to/from ArbotiX board
  * Merge pull request #29 <https://github.com/vanadiumlabs/arbotix_ros/issues/29> from croesmann/indigo-devel
    Allow cancelling the FollowJointTrajectoryAction during execution
  * Merge pull request #33 <https://github.com/vanadiumlabs/arbotix_ros/issues/33> from corot/issue_26
    Issue #26 <https://github.com/vanadiumlabs/arbotix_ros/issues/26> implementation: enable/relax services on ServoController class
  * Issue #26 <https://github.com/vanadiumlabs/arbotix_ros/issues/26> implementation: enable/relax services to the ServoController
    class, so you don't need to call service on each servo
  * Close serial port only if not fake
  * Allow runtime connection/disconnection to/from ArbotiX board
  * Minor formatting fix
  * Fixed formatting issues
  * the follow joint trajectory action can now be canceled during execution
  * Fix syntax
  * Merge pull request #25 <https://github.com/vanadiumlabs/arbotix_ros/issues/25> from corot/indigo-devel
    Implement issue https://github.com/vanadiumlabs/arbotix_ros/issues/24:
  * leng -> length
  * Implement issue https://github.com/vanadiumlabs/arbotix_ros/issues/24:
    Allow 16 bit values on arbotix_msgs/Analog messages, but assume 8 bits
    by default
  * Contributors: Christoph Rösmann, Jorge Santos Simón, Michael Ferguson, calismurat, corot

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 29 Dec 2020 05:00:00 -0000

ros-noetic-arbotix-python (0.10.0-1focal) focal; urgency=high

  * Set queue_size=5 on all publishers
  * Contributors: Jorge Santos

 -- Michael Ferguson <mike@vanadiumlabs.com>  Mon, 14 Jul 2014 04:00:00 -0000

ros-noetic-arbotix-python (0.9.2-1focal) focal; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 12 Feb 2014 05:00:00 -0000

ros-noetic-arbotix-python (0.9.1-1focal) focal; urgency=high

  * set velocity when in sim/fake mode
  * Added set_speed service to servo controller
  * Added 'set spd' option to arbotix_terminal

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 28 Jan 2014 05:00:00 -0000

ros-noetic-arbotix-python (0.9.0-1focal) focal; urgency=high

  * Add new enable service
  * remove roslib manifest loading
  * remove old dynamixels block, closes #6 <https://github.com/vanadiumlabs/arbotix_ros/issues/6>
  * Warn of extra joints in joint trajectory, but only fail when missing a joint we control

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 22 Aug 2013 04:00:00 -0000

ros-noetic-arbotix-python (0.8.2-1focal) focal; urgency=high



 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 28 Mar 2013 04:00:00 -0000

ros-noetic-arbotix-python (0.8.1-1focal) focal; urgency=high

  * fix depend for proper release

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 09 Mar 2013 05:00:00 -0000

ros-noetic-arbotix-python (0.8.0-1focal) focal; urgency=high

  * fix follow controller issues with zeros in header timestamps, cleanup logging a bit
  * import drivers and catkinize

 -- Michael Ferguson <mike@vanadiumlabs.com>  Thu, 21 Feb 2013 05:00:00 -0000

=== debian/control ===
Source: ros-noetic-arbotix-python
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/arbotix_python
Standards-Version: 3.9.2

Package: ros-noetic-arbotix-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-serial, ros-noetic-actionlib, ros-noetic-arbotix-msgs, ros-noetic-control-msgs, ros-noetic-diagnostic-msgs, ros-noetic-geometry-msgs, ros-noetic-nav-msgs, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-tf
Description: Bindings and low-level controllers for ArbotiX-powered robots.
